package ext.config {

/**
 * A Column definition class which renders a passed date according to the default locale, or a configured <a href="output/Ext.list.DateColumn.html#Ext.list.DateColumn-format">format</a>. See the <a href="output/Ext.list.Column.html#Ext.list.Column-xtype">xtype</a> config option of <a href="Ext.list.Column.html">Ext.list.Column</a> for more details.

 *
 * <p>This class represents the xtype 'lvdatecolumn' and serves as a
 * typed config object for constructor of class DateColumn.</p>
 *
 * <p>Copyright &#169; 2011 Sencha Inc.</p>
 * @see ext.list.DateColumn
 */
[ExtConfig(target = "ext.list.DateColumn", xtype = "lvdatecolumn")]
public class lvdatecolumn extends lvcolumn {
  public function lvdatecolumn(config:Object = null) {
    super();
  }
}
}